%global momorel 1

Summary: Library for handling RDF descriptions of audio plugins
Name: liblrdf
Version: 0.4.0
Release: %{momorel}m
License: GPL
URL: http://sourceforge.net/projects/lrdf/
Group: System Environment/Libraries
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/lrdf/%{name}-%{version}.tar.gz 327a5674f671c4b360c6353800226877
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: raptor-devel, ladspa-devel

%description
liblrdf is a library for handling RDF (http://www.w3.org/RDF/)
descriptions of LADSPA (and potentially other format) plugins.

It allows grouping of plugins into trees for user slection and finer
description of plugins and ports than the .so format allows (for example
to indicatate textual equivalents of integer port values). It also
provides named and described defaults and presets, metadata and general
semnatic goodness. 

%package devel
Summary: Headers for developing programs that will use liblrdf
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the headers that programmers will need to develop
applications which will use libraries from liblrdf.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/liblrdf.so.*
%{_datadir}/ladspa

%files devel
%defattr(-,root,root)
%{_includedir}/lrdf*.h
%{_libdir}/pkgconfig/lrdf.pc
%{_libdir}/liblrdf.a
%{_libdir}/liblrdf.la
%{_libdir}/liblrdf.so

%changelog
* Wed Feb 23 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.0-1m)
- import from cooker
- update to 0.4.0

* Mon Jul 19 2004 Austin Acton <austin@mandrake.org> 0.3.7-1mdk
- 0.3.7

* Fri Jul 02 2004 Michael Scherer <misc@mandrake.org> 0.3.5-2mdk 
- rebuild for new libcurl
- remove libtool hack

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.3.5-1mdk
- 0.3.5
- major 2

* Tue Jan 13 2004 Charles A Edwards <eslrahc@mandrske.org> 0.3.2-2mdk
- use /bin/true
- drop require in liblrdf0 pkg
- drop perl script

* Fri Sep 12 2003 Michael Scherer <scherer.michael@free.fr> 0.3.2-1mdk
- 0.3.2
- mklibname
- split common from library, rpmlint compliance

* Tue May 6 2003 Austin Acton <aacton@yorku.ca> 0.3.1-1mdk
- 0.3.1

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.2.4-2mdk
- update buildrequires

* Mon Mar 17 2003 Austin Acton <aacton@yorku.ca> 0.2.4-1mdk
- 0.2.4

* Tue Feb 18 2003 Austin Acton <aacton@yorku.ca> 0.2.3-1mdk
- initial package